#include <stdint.h>
#include <stdio.h>
#include <curl/curl.h>

const char INFLUXURL[] = "http://172.16.3.15:8086/write?db=smarthome2&precision=ms";


void influxSendFrequency(double f) {
    char buffer[256];

    sprintf(buffer, "mainsfrequency freq=%f", f);

    CURL *curl = curl_easy_init();
    if(curl) {
        curl_easy_setopt(curl, CURLOPT_URL, INFLUXURL);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, buffer);
        CURLcode res = curl_easy_perform(curl);
        if(res != CURLE_OK) {
            fprintf(stderr, "curl_easy_perform() failed: %s\n", curl_easy_strerror(res));
        }
        curl_easy_cleanup(curl);
    }
}
